Handle Batch Cvm Status
curl --request POST \
--url https://cloud-api.phala.com/api/v1/status/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vm_uuids": [
"<string>"
]
}
'import requests
url = "https://cloud-api.phala.com/api/v1/status/batch"
payload = { "vm_uuids": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({vm_uuids: ['<string>']})
};
fetch('https://cloud-api.phala.com/api/v1/status/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}CVMs
Handle Batch Cvm Status
Batch query CVM real-time status.
Groups by teepod and queries in parallel, returns status updates with complete async operation information.
POST
/
api
/
v1
/
status
/
batch
Handle Batch Cvm Status
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
Successful Response
CVM status information for API response.
This schema is used for both internal status determination and API responses. Contains current state, progress information, and async operation tracking.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

